<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8"/>
  <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
  <title>Bootstrap 5 Simple Datatable Example</title>

  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous"/>
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.13/css/jquery.dataTables.min.css">
  <script src="https://cdn.datatables.net/1.10.23/js/jquery.dataTables.min.js">
  </script>

  <link rel="stylesheet" src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/5.2.0/css/bootstrap.min.css">
  <link rel="stylesheet" src="https://cdn.datatables.net/1.13.4/css/dataTables.bootstrap5.min.css">

  <script defer src="https://code.jquery.com/jquery-3.5.1.js"></script>
  <script defer src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>
  <script defer src="https://cdn.datatables.net/1.13.4/js/dataTables.bootstrap4.min.js"></script>

  <script defer src="../../../script.js"></script>

</head>

<body>

<div class="container mt-5">
  <!--offset pour deplacer droit , card pour bordure header plus grand avec font col-md- pour dimunuer -->
  <div class="row">
    <div class="card col-6">
      <button type="button" class="btn btn-secondary btn-lg btn-block">FORMULAIRE MODIFIER ETUDIANT</button>
      <br>
      <button type="button" class="btn btn-primary btn-lg btn-block">INFO ETUDIANT : {{classeName}} || {{matricule}} </button>

      <form>
        <div class="card-body">
          <div class="form-group">
            <label class="label-control">Nom :</label>
            <input class="form-control" type="text" placeholder="nom de l'etudiant" name="nom" required [(ngModel)]="nom">
          </div>
          <br><br>
          <div class="form-group">
            <label class="label-control">Prénom </label>
            <input class="form-control" type="text" placeholder="prénom de l'etudiant" name="prenom" [(ngModel)]="prenom" required>
          </div>
          <br><br>
          <div class="form-group">
            <label class="label-control">Classe :</label>
            <select class="form-select" aria-label="Default select example" ngModel name="classe" [(ngModel)]="selectedValue">
              <option *ngFor="let classe of listClasse" selected [ngValue]="classe.idClasse">{{classe.nom}}</option>

            </select>
          </div>
          <br>
          <div class="form-group">
            <button type="button" class="btn btn-outline-warning btn-lg mb-2" type="submit" style="margin-right: 300px" (click)="onUpdate()">
              <h3> Modifier</h3></button>
            <button type="button" class="btn btn-outline-danger btn-lg mb-2" type="submit" (click)="onAluner()">
              <h3> Annuler</h3></button>
          </div>
        </div>
      </form>
    </div>

  </div>
</div>

</body>

</html>
